Commit 95547b3d authored by sebastien's avatar sebastien

Build system: for MATLAB < 7.1, require that the user provides MEXEXT on the configure command line

git-svn-id: https://www.dynare.org/svn/dynare/trunk@3190 ac1d8469-bf42-47a9-8791-bf33cf982152
parent 686e9858
......@@ -18,7 +18,6 @@ dnl along with Dynare. If not, see <http://www.gnu.org/licenses/>.
AC_DEFUN([AX_MATLAB_VERSION],
[dnl
AC_REQUIRE([AX_MATLAB])
AC_REQUIRE([AX_MATLAB_ARCH])
AC_MSG_CHECKING([for MATLAB version])
if test "x$MATLAB_VERSION" != "x"; then
......
......@@ -33,11 +33,14 @@ AC_DEFUN([AX_MEXEXT],
[dnl
AC_PREREQ([2.50])
AC_REQUIRE([AX_MATLAB])
AC_REQUIRE([AX_MATLAB_VERSION])
AC_REQUIRE([AC_CANONICAL_BUILD])
AC_CACHE_CHECK([for MEX-file suffix], [ax_cv_mexext],
[if test "${MEXEXT+set}" = set ; then
ax_cv_mexext="$MEXEXT"
else
# The mexext script appeared in MATLAB 7.1
AX_COMPARE_VERSION([$MATLAB_VERSION], [lt], [7.1], [AC_MSG_ERROR([I can't determine the MEX file extension. Please explicitly indicate it to the configure script with the MEXEXT variable.])])
case $build_os in
*cygwin*)
ax_cv_mexext=`$MATLAB/bin/mexext.bat | sed 's/\r//'`
......
......@@ -25,9 +25,9 @@ AM_INIT_AUTOMAKE([-Wall -Werror foreign])
AX_MATLAB
if test "x$ax_enable_matlab" = "xyes"; then
AX_MATLAB_VERSION
AX_DOT_MEXEXT
AX_MATLAB_ARCH
AX_MATLAB_VERSION
if test "x$ax_matlab_version_ok" = "xyes"; then
AX_MEXOPTS
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment